LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLocaleData Interface Referencepublished

Access locale specific data as it is defined in XML locale data files compiled into the binary data libraries liblocaledata*.so respectively localedata*.dll. More...

`import"XLocaleData.idl";`

Inheritance diagram for XLocaleData:

## Public Member Functions
LanguageCountryInfo | getLanguageCountryInfo ([in] com::sun::star::lang::Locale aLocale)
| returns the LC_INFO locale information. More...
LocaleDataItem | getLocaleItem ([in] com::sun::star::lang::Locale aLocale)
| returns LC_CTYPE separators and markers. More...
sequence< Calendar > | getAllCalendars ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_CALENDAR calendars for a locale. More...
sequence< Currency > | getAllCurrencies ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_CURRENCY currencies for a locale. More...
sequence< FormatElement > | getAllFormats ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_FORMAT format elements for a locale. More...
sequence< Implementation > | getCollatorImplementations ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_COLLATION collators for a locale. More...
sequence< string > | getSearchOptions ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_SEARCH search options for a locale. More...
sequence< string > | getCollationOptions ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_COLLATION collation options for a locale. More...
sequence< string > | getTransliterations ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_TRANSLITERATION transliterations for a locale. More...
ForbiddenCharacters | getForbiddenCharacters ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_MISC forbidden characters for a locale. More...
sequence< string > | getReservedWord ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_MISC reserved words for a locale. More...
sequence< com::sun::star::lang::Locale > | getAllInstalledLocaleNames ()
| returns all available locales. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Access locale specific data as it is defined in XML locale data files compiled into the binary data libraries liblocaledata*.so respectively localedata*.dll.

For XML locale data files definitions see the DTD file.

Developers Guide
  Office Development - Overview and Using the API - XLocaleData
  Office Development - Implementing a New Locale - XLocaleData

## Member Function Documentation

## ◆ getAllCalendars()

sequence< Calendar > getAllCalendars | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_CALENDAR calendars for a locale.

## ◆ getAllCurrencies()

sequence< Currency > getAllCurrencies | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_CURRENCY currencies for a locale.

## ◆ getAllFormats()

sequence< FormatElement > getAllFormats | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_FORMAT format elements for a locale.

## ◆ getAllInstalledLocaleNames()

sequence< com::sun::star::lang::Locale > getAllInstalledLocaleNames | ( |  | ) |

returns all available locales.

## ◆ getCollationOptions()

sequence< string > getCollationOptions | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_COLLATION collation options for a locale.

## ◆ getCollatorImplementations()

sequence< Implementation > getCollatorImplementations | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_COLLATION collators for a locale.

## ◆ getForbiddenCharacters()

ForbiddenCharacters getForbiddenCharacters | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_MISC forbidden characters for a locale.

## ◆ getLanguageCountryInfo()

LanguageCountryInfo getLanguageCountryInfo | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns the LC_INFO locale information.

## ◆ getLocaleItem()

LocaleDataItem getLocaleItem | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns LC_CTYPE separators and markers.

## ◆ getReservedWord()

sequence< string > getReservedWord | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_MISC reserved words for a locale.

See also
  reservedWords

## ◆ getSearchOptions()

sequence< string > getSearchOptions | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_SEARCH search options for a locale.

## ◆ getTransliterations()

sequence< string > getTransliterations | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

returns all LC_TRANSLITERATION transliterations for a locale.

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XLocaleData.idl